varying vec4	t1,t2,t3,t4;
varying vec2	t0;
uniform vec2 	ofs;

attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 

void main()
{
	gl_Position = vec4(s2_vertex,1.0);

	t0.xy=s2_texcoords.xy;

	t1.xy=s2_texcoords.xy+ofs.xy;
	t1.zw=s2_texcoords.xy-ofs.xy;
	t2.xy=s2_texcoords.xy+ofs.xy*vec2(2.0);
	t2.zw=s2_texcoords.xy-ofs.xy*vec2(2.0);
	t3.xy=s2_texcoords.xy+ofs.xy*vec2(3.0);
	t3.zw=s2_texcoords.xy-ofs.xy*vec2(3.0);
	t4.xy=s2_texcoords.xy+ofs.xy*vec2(4.0);
	t4.zw=s2_texcoords.xy-ofs.xy*vec2(4.0);
}